Unit tml02r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ML02R_p;

function tml02r: String;

implementation

function tml02r: String;
var
P,M,N,_i :Integer;
EPS :Real;
NSUM :Array [0..0] of Integer;
NX :Array [0..4] of Integer;
XK :Array [0..4] of Real;
U :Array [0..24] of Real;
const
A :Array [0..9] of Real = ( 1.0,2.0,1.0,2.0,1.0,2.0,3.0,5.0,1.0,1.0 );
NS :Array [0..9] of Integer = ( 1,2,3,1,2,3,1,2,3,3 );
T :Array [0..3] of Real = ( 1.0,2.0,3.0,-1.0 );
NT :Array [0..3] of Integer = ( 3,3,3,1 );
SUM :Array [0..3] of Real = ( -4.0,-5.0,-9.0,-1.0 );
X :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,-45.0 );
begin
Result := '';  {   }
P := 1;
M := 5;
N := 4;
EPS := 0.01;
ML02R(A,10,U,M,T,N,SUM,NSUM,NT,NS,X,P,EPS,XK,NX);
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%3d ',[P]);
Result := Result + Format('%s',[#$0D#$0A + ' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' NX=  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%6d ',[NX[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml02r',Result);  {     tml02r.res }
exit;
end;

end.
